//Go to calculator functions
function gotoAdultCalc(){
	$.mobile.changePage( "#adultcalc", { transition: "pop"} );
}
function gotoPaedCalc(){
	$.mobile.changePage( "#paedcalc", { transition: "pop"} );
}
function gotoAdjustCalc(){
	$.mobile.changePage( "#adjustcalc", { transition: "pop"} );
}

//Detects if in Safari or homescreen mode and shows and hides content accordingly
function checkBusutag(){
	var password = "healthy";
	var passCookie = $.cookie("busu-calc");
	if (passCookie == password)  {
	document.getElementById("PasswordPage").style.display = "none";
	$.mobile.changePage( "#calculators", { transition: "pop"} );	
	}
}
//Login function
function letMeIn(){
	var password = (document.getElementById("PasswordText")).value;
	var pass1 = "healthy";
	if (password==pass1) {
	$.cookie("busu-calc", "healthy", { expires: 365, path: '/' });
	$.mobile.changePage( "#calculators", { transition: "pop"} );
	}
else
   {
    document.getElementById("IncorrectPass").innerHTML = "<p>Sorry, that is <strong>not</strong> the correct password</p><p>Please contact your Aspen sales representative for the correct one.</p>";
    }
}
//Calculate Busulfex dosage for adults
function CalculateAdult_onclick() {
	//Declare required variables
	var IBW = 0;
	var AIBW = 0;
	var tDose = 0;
	var odDose = 0;
	var bdDose = 0;
	var qidDose = 0;
	var Diluted = 0;

	//Declare remaining variables and collect form data
	var iBodyWeight = document.getElementById("TextBodyWeight").value;
	var iHeight = document.getElementById("TextHeight").value;
	var Gender = document.getElementById("SelectGender").value;
	var Admin = document.getElementById("SelectAdmin").value;

	//Calculate BMI
	var BMI = iBodyWeight / ((iHeight*iHeight)/10000);

	//If BMI over 30 calculate AIBW
	if (Gender == 1 && BMI >= 30) {
		IBW = 50 + (0.91 * (iHeight - 152));
		AIBW = IBW +(0.25*(iBodyWeight - IBW));
	} else if (Gender == 2 && BMI >= 30) {
		IBW = 45 + (0.91 * (iHeight - 152));
		AIBW = IBW +(0.25*(iBodyWeight - IBW));
	} else {
		AIBW = iBodyWeight;
	}

	//Calculate adult total dosing
	tDose = AIBW * 12.8;


	//Calculate OD, BD and QID Dose
	odDose = tDose / 4;
	bdDose = tDose / 8;
	qidDose = tDose / 16;

	//Calculate dilution depending on administration regime selected
	if (Admin == 1) {
		Diluted = ((AIBW * (odDose/AIBW))/6);
	} else if (Admin == 2) {
		Diluted = ((AIBW * (bdDose/AIBW))/6);
	} else if (Admin == 3) {
		Diluted = ((AIBW * (qidDose/AIBW))/6);
	}

	//Write out the results
	var oResults = document.getElementById("AdultResults");
	if (BMI < 30) {
		oResults.innerHTML = "<p>This patient falls within a normal weight range.  They require a total dose of <strong>" + Math.round(tDose * 100)/100 + " mg</strong> of busulfan.  Given the administration regime you have chosen this equates to <strong>" + Math.round(Diluted * 10)/10 + " mL</strong> of Busulfex." + "</p><p><strong>Reference - OD Dose:</strong> " + Math.round(odDose * 100)/100 + " mg. <strong>BD Dose:</strong> " + Math.round(bdDose * 100)/100 + " mg. <strong>QID Dose:</strong> " + Math.round(qidDose * 100)/100 + " mg.</p>";
	}
	else if (BMI > 30) {
		oResults.innerHTML = "<p>This patient has a BMI <strong>greater than 30</strong> - and so we need to work from the <strong>Adjusted Ideal Body Weight</strong>.  In this case their <strong>BMI</strong> is <strong>" + Math.round(BMI * 10)/10 + "</strong>, which gives them an <strong>AIBW</strong> of <strong>" + Math.round(AIBW * 100)/100 + "</strong>.  They require a total dose of <strong>" + Math.round(tDose * 100)/100 + " mg</strong> of busulfan.  Given the administration regime you have chosen this equates to <strong>" + Math.round(Diluted * 10)/10 + " mL</strong> of Busulfex." + "</p><p><strong>Reference - OD Dose:</strong> " + Math.round(odDose * 100)/100 + " mg. <strong>BD Dose:</strong> " + Math.round(bdDose * 100)/100 + " mg. <strong>QID Dose:</strong> " + Math.round(qidDose * 100)/100 + " mg.</p>";
	}
	$.mobile.changePage( "#adultresult", { transition: "pop"} );
}


//Calculate Busulfex dosage for children
function CalculatePaed_onclick() {
	//Declare required variables

	var tDose = 0;
	var odDose = 0;
	var bdDose = 0;
	var qidDose = 0;
	var Diluted = 0;

	//Declare remaining variable and collect form data
	var iBodyWeight = document.getElementById("PaedBodyWeight").value;
	var Admin = document.getElementById("SelectAdmin").value;


	//Calculate paediatric total dosing
	if (iBodyWeight > 34) {
		tDose = iBodyWeight * 12.8;
	} else if (iBodyWeight <= 34 && iBodyWeight > 23) {
		tDose = iBodyWeight * 15.2;
	} else if (iBodyWeight <= 23 && iBodyWeight >= 16) {
		tDose = iBodyWeight * 17.6;
	} else if (iBodyWeight < 16 && iBodyWeight >= 9) {
		tDose = iBodyWeight * 19.2;
	} else if (iBodyWeight < 9){
		tDose = iBodyWeight * 16.0;
	}

	//Calculate OD, BD and QID Dose
	odDose = tDose / 4;
	bdDose = tDose / 8;
	qidDose = tDose / 16;

	//Calculate dilution
	Diluted = ((iBodyWeight * (odDose/iBodyWeight))/6);

	//Write out the results
	var oResults = document.getElementById("PaedResults");
	oResults.innerHTML = "<p>This paediatric patient requires a total dose of <strong>" + Math.round(tDose * 100)/100 + " mg</strong> of busulfan.  Given the administration regime you have chosen this equates to <strong>" + Math.round(Diluted * 10)/10 + " mL</strong> of Busulfex." + "</p><p><strong>Reference - OD Dose:</strong> " + Math.round(odDose * 100)/100 + " mg. <strong>BD Dose:</strong> " + Math.round(bdDose * 100)/100 + " mg. <strong>QID Dose:</strong> " + Math.round(qidDose * 100)/100 + " mg.</p>";
	$.mobile.changePage( "#paedresult", { transition: "pop"} );
}


//Calculate required dosage adjustments
function CalculateAdjust_onclick() {
//Declare variables

var Adjusted = 0;

//Declare remaining variables and collect form data
var DoseGiven = document.getElementById("DoseGiven").value;
var TargetAUC = document.getElementById("TargetAUC").value;
var ActualAUC = document.getElementById("ActualAUC").value;

Adjusted = (DoseGiven * TargetAUC)/ActualAUC;

//Write out the results
	var oResults = document.getElementById("AdjustedResults");
	oResults.innerHTML = "<p>The adjusted Dose is: " + Math.round(Adjusted * 10)/10 + " mg" + "</p>";
	$.mobile.changePage( "#adjustedresult", { transition: "pop"} );


}

//Close dialog page and reset form for dialog Close button
function resetDiv_onclick() {
	    $('.ui-dialog').dialog('close');
		$('#AdultCalc').get(0).reset();
	    $('#PaedCalc').get(0).reset();
	    $('#AdjustCalc').get(0).reset();
	    $("#SelectAdmin").val(1).trigger("change");
	    $("#SelectGender").val(1).trigger("change");
	    $("#SelectPaedAdmin").val(1).trigger("change");
	    //document.getElementById("TextBodyWeight").style.backgroundColor = "white";	
    } 
//Reset form for Clear button
function resetForm_onclick() {
	    $('#AdultCalc').get(0).reset();
	    $('#PaedCalc').get(0).reset();
	    $('#AdjustCalc').get(0).reset();
	    $("#SelectAdmin").val(1).trigger("change");
	    $("#SelectGender").val(1).trigger("change");
	    $("#SelectPaedAdmin").val(1).trigger("change");	
    } 
